(*) Ebizmarts SagePay Suite PRO is compatible with One Step Checkout.

You need to use the LATEST SagepaySuite PRO, not Community version together with One Step Checkout later version than 4.5.8. NB! Community version of Ebizmarts SagepaySuite will not work with onestepcheckout.com module. You can log in and download our module on our website.

Please contact Ebizmarts Sagepay Support and ask for the version that's compatible with onestepcheckout.com module.

 

(*) If you are having issues after installation, firstly test Ebizmarts SagepaySuite in standard checkout. You can test standard checkout by adding a product to cart and going directly to http(s)://your url/checkout/onepage
You do not need to disable One Step Checkout for testing standard checkout. One Step Checkout is built on standard checkout and uses the same functionality. Standard checkout needs to work correctly.

 

(*) If outdated files are loaded from cache, One Step Checkout will break. It is best to disable all caches and minifiers until the issue is solved.

Please make sure you disabled (or at least flushed) all caches, e.g. OPCache, XCache, Cludfare, Redis, Varnish, any combiners or minifiers, System>Configuration>Developer>Combine JS files into one file, etc..

 

(*) If there have been any other 3rd party One Step Checkout modules
installed on your system, please uninstall all of them COMPLETELY. If
necessary, contact their module support for uninstall instructions.
Especially pay attention to files in theme paths:
app/design/frontend/[your theme folder]/onestepcheckout
app/design/frontend/[your theme]/layout/onestepcheckout.xml
skin/frontend/[your theme]/onestepcheckout/

Disable all matching leftover file and folder names like
onestepcheckout.xml and onestepcheckout/

In linux/unix, use
grep 'onestepcheckout*' * -ris
to see if there are any leftover files on your system that should not
be there and may break onestepcheckout.com module.


(*) Please note that Sagepaysuite does not support the functionality of placing order on existing account without password.

If you are getting the error "This customer email already exists", you will need a code change,


FILE: app/code/local/Idev/OneStepCheckout/Helper/Checkout.php.

The isValidateEmail() method is already present, please change it to this:

function isValidateEmail()
{

return true;
}

Info about SagePay version numbers: Probably the following version number will be out of date by the time you read it, however on 22 may 2018 the SagepaySuite Pro 4.2.8 is the latest version number and it has been tested to work with One Step Checkout out of the box.